var quizNumber = 0;
var countQuestions = 5;

(typeof window.lucyQuizStart === 'undefined') && (window.lucyQuizStart = function (a, b)
{
	console.log("lucyQuizStart", a, b);
});

(typeof window.lucyQuizEnd === 'undefined') && (window.lucyQuizEnd = function ()
{
	console.log("lucyQuizEnd");
});

(typeof window.lucyQuizResults === 'undefined') && (window.lucyQuizResults = function (a)
{
	console.log("lucyQuizResults", a);
});

(typeof window.lucySetVariable === 'undefined') && (window.lucySetVariable = function (a, b)
{
	console.log("lucySetVariable", a, b);
});

(typeof window.lucyGetVariable === 'undefined') && (window.lucyGetVariable = function (a)
{
	console.log("lucyGetVariable", a);
});

function ShowResults(value) {
  console.log(value);
  document.getElementById("quiz_results").value = JSON.stringify(value);
}

function ShowVariable(value) {
  console.log(value);
  document.getElementById("variable_value").value = JSON.stringify(value);
}

function ShowError(error){
  alert(error);
}

function StartQuiz(){
   quizNumber = document.getElementById("quiz_number").value;
   countQuestions = document.getElementById("count_questions").value;
   lucyQuizStart(quizNumber, countQuestions);
}

function EndQuiz(){
   quizNumber = document.getElementById("quiz_number").value;
   lucyQuizEnd(quizNumber, ShowError);
}

function GetResults(){
   document.getElementById("quiz_results").value = "";
   quizNumber = document.getElementById("quiz_number").value;
   lucyQuizResults(quizNumber, ShowResults, ShowError);
}

function SetVariable(){
   var varName = document.getElementById("variable_name").value;
   var varValue = document.getElementById("variable_value").value;
   lucySetVariable(varName, varValue, ShowError);
}

function GetVariable(){
   var varName = document.getElementById("variable_name").value;
   lucyGetVariable(varName, ShowVariable, ShowError);
}

function QuizAnswer(){
   var questionNumber = document.getElementById("question_number").value;
   var questionAnswer = document.getElementById("question_answer").value;
   quizNumber = document.getElementById("quiz_number").value;
  
   if (questionAnswer == 'true') {
      questionAnswer = true;
   } else {
     questionAnswer = false;
   }
  
   lucyQuizAnswer(questionNumber, questionAnswer, quizNumber, ShowError);
}